# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name language-c

Name:           ghc-%{pkg_name}
Version:        0.4.7
Release:        2%{?dist}
Summary:        Analysis and generation of C code

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  alex
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-syb-devel
BuildRequires:  happy
# End cabal-rpm deps

%description
Language C is a Haskell library for the analysis and generation of C
code. It features a complete, well tested parser and pretty printer
for all of C99 and a large set of GNU extensions.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc README AUTHORS AUTHORS.c2hs


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 20 2015 Jens Petersen <petersen@redhat.com> - 0.4.7-1
- update to 0.4.7

* Wed Aug 27 2014 Jens Petersen <petersen@redhat.com> - 0.4.6-1
- update to 0.4.6
- refresh to cblrpm-0.8.11

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 07 2013 Jens Petersen <petersen@redhat.com> - 0.4.2-12
- update to new simplified Haskell Packaging Guidelines

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.4.2-10
- update with cabal-rpm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.4.2-8
- change prof BRs to devel

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 0.4.2-7
- rebuild

* Thu Mar 22 2012 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.4.2-6
- Jens: add license to ghc_files
- move manually-tracked %%doc file list to %%ghc_files
- rebuild for GHC platform update

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.4.2-5
- update to cabal2spec-0.25.2

* Wed Oct 26 2011 Jens Petersen <petersen@redhat.com> - 0.4.2-4
- rebuild for newer gmp and update to cabal2spec-0.24.1

* Mon Sep 26 2011 Michel Salim <salimma@fedoraproject.org> - 0.4.2-3
- Remove manual runtime dependencies; issue fixed by ghc-rpm-macros 0.13.10

* Fri Sep  9 2011 Michel Salim <salimma@fedoraproject.org> - 0.4.2-2
- Add runtime dependencies

* Thu Sep  8 2011 Michel Salim <salimma@fedoraproject.org> - 0.4.2-1
- Override license, summary and description

* Thu Sep  8 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.4.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24
